$(function() {
    $.widget("Assyst.searchContainer", {
        options: {
			div: undefined, // setting div to search as option
			parentContainer: undefined,// setting div to hide as option
			interval: undefined // setting interval
        },
		
		//Default function for widget
		
        _init: function() {
            this._eventManager();
        },
		
		/* Create function  for widget  */
        _create: function() {
			 var self = this;
			 var container = this.element;
			 var div = $('<button class="sortField active">A-Z</button><button class="sortField">0-9</button><button class="sortField">A-D</button><button class="sortField">E-H</button><button class="sortField">I-L</button><button class="sortField">M-P</button><button class="sortField">Q-T</button><button class="sortField">U-W</button><button class="sortField">X-Z</button><div id="srchData"><input type="text" id="txtSearch"/><button class="closeFun">X</button></div>');
			 $(container).append(div); //Append div to container 
		},
		
		
		/* Create events for widget  */
		
        _eventManager: function() {
            var self = this;
			var searchDiv = self.options.div;
			$(document).on('click','.sortField',function filterDom(e){
				$(this).addClass('active').siblings('.active').removeClass('active');
				var txtValue = $(this).text();
				var txtValue = txtValue.split('-').join("").toLowerCase();
				var dataValue = $(this).attr('data-value', txtValue);
				var delimiter = $(this).data('value');
				var l_parentContainer = self.options.parentContainer;
				$(searchDiv).each(function (index, element) {
					firstChar = element.textContent[0].toLowerCase(), 
					validText = firstChar >= delimiter[0] && firstChar <= delimiter[1];
				// show/hide 
				$(element).parents(l_parentContainer).css('display',(validText ? 'block' : 'none')); 
				});
			});
			
			//var l_parentContainer = $(self.options.parentContainer);
			$(document).on("keyup", '#srchData>#txtSearch', function (e) {
				//l_parentContainer.hide();
				var input = $(this).val();
				var l_parentContainer = self.options.parentContainer;
				/*$(searchDiv).each(function (index, element) {
                    var regex = new RegExp($.trim(input), "gi");
                    if (element.textContent.match(regex) !== null) {
						 $(l_parentContainer[index]).show()
                    }
                });*/
                $(searchDiv).each(function (index, element) {
                    var regex = new RegExp($.trim(input), "gi");
                    if (element.textContent.match(regex) !== null) {
						$(element).parents(l_parentContainer).show();
                    } else {
						$(element).parents(l_parentContainer).hide();
                    }
                });
                
            });


			$(document).on('click','.closeFun',function (){
				self.element.find('.active').removeClass('active');
				self.element.find('.sortField').first().addClass('active');
				self.element.find('.sortField:first').trigger('click');
				$('#txtSearch').val('');
			});
        },
    });
});


