﻿
function htmlEncode(value) {
    //create a in-memory div, set it's inner text(which jQuery automatically encodes)
    //then grab the encoded contents back out.  The div never exists on the page.
    return $('<div/>').text(value).html();
}

function htmlDecode(value) {
    return $('<div/>').html(value).text();
}

function goBack() {
    window.history.back()
}

function numberWithCommas(x) {
    if (typeof x === "undefined") return '';
    return (x.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ","));
}

function textTranslation(text) {
    return g_LangTranslator ? g_LangTranslator.Translate(text) : text;
}

function containerTranslation(container) {
    if (g_LangTranslator) { g_LangTranslator.ApplyTranslation(container); }
}