// Media Wiki Added on (17 - july - 2013)..
var $ = jQuery;
function OnlineHelp(p_options) {
    // private var..
    var helpKeyCode = 112,
		ctrlTitle = '',
		isCtrlKeyDown = false,
		newWin,
        screenHeight = window.screen.availHeight,
        screenWidth = window.screen.availWidth,
        _self = this;
    // -- PUBLIC VARIABLES..
    this.options = $.extend({	//Default values for _options
        helpSite: "http://uat.assyst-uc.com/mediawiki/index.php/",
        //pageTitle: $("#Menuname").children("h3:first").text(),
        pageTitle: '',
        helpIcon: $("#btnHelp"),
        dialogHeight: 850,
        dialogWidth: 800
    }, p_options);

    this.options.helpIcon.click(function () {
        // ctrlTitle = '';
        // winOpen();
        //alert(errorMessage());
        $('#popUPHelp').dialog({
            height: '400',
            width: '700',
            close: function () {
                $(this).dialog('destroy');
            }
        });
    });

    $("form :text, textarea, select").keydown(function (evt) {

        handleKeyDown(evt, 'text', this);
    });

    $("form :text, textarea, select").blur(function (evt) {
        isCtrlKeyDown = false;
    });
    //var newwin;
    $(document).keydown(function (evt) {

        if (!isCtrlKeyDown) {
            handleKeyDown(evt, '', this);
        }
    });

    var handleKeyDown = function (evt, ctrlType, ctrl) {
        var charCode = evt.which;
        if ("onhelp" in window) // Internet Explorer
        {
            // Prevents default help of the browser
            window.onhelp = function () {
                return false;
            }
        } else // Others
        {
            if (charCode == helpKeyCode) // Checking for the key F1
                evt.preventDefault(); // Prevents default help of the browser
        }
        if (charCode == helpKeyCode) // Checking for the key F1
        {
            ctrlTitle = $(ctrl).attr('title');
            winOpen();
            if (ctrlType == 'text') {
                isCtrlKeyDown = true;
            }
        }
    }

    var winOpen = function () {
        /* Code to open the help pages in JQuery Dialog Window */
        /*var $dialog = $('<div></div>')
        .html('<iframe style="border: 0px; " src="' + _self.options.helpSite + _self.options.pageTitle + '#' + ctrlTitle + '" width="98%" height="100%"></iframe>')
        .dialog({
        autoOpen: false,
        modal: true,
        height: _self.options.dialogHeight,
        width: _self.options.dialogWidth,
        title: _self.options.pageTitle
        });
        $dialog.dialog('open');*/

        /* Code to open the help pages in Browser Window */

        if (newWin) {
            newWin.close();
        }

        // Code to decode the encoded &..as the mediawiki page name has the value &
        if (_self.options.pageTitle.indexOf("&amp;") != -1) {
            _self.options.pageTitle = _self.options.pageTitle.replace(/&amp;/g, "&");
        }

        // The following code is added for the module name which doesn't have any sub menu.  i.e. sub menus are like "Quality Assurance: Master: Lab"

        if (_self.options.pageTitle.indexOf(":") == -1) {
            if ($("div.menuBar.ui-corner-bottom")) {
                if ($("div.menuBar.ui-corner-bottom").find('div.menu-title')) {

                    _self.options.pageTitle = $("div.menuBar.ui-corner-bottom").find('div.menu-title').text();
                }
            }
        }
        newWin = window.open(_self.options.helpSite + _self.options.pageTitle + '#' + ctrlTitle, 'helpWindow', 'toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=1,resizable=1,left=' + ((screenWidth / 2) - _self.options.dialogWidth / 2) + ',top=' + ((screenHeight / 2) - _self.options.dialogHeight / 2) + ',width=' + _self.options.dialogWidth + ',height=' + _self.options.dialogHeight);
        newWin.focus();

    }
};


function checkParameterExists(parameter) {
    //Get Query String from url
    fullQString = window.location.search.substring(1);
    paramCount = 0;
    queryStringComplete = "?";
    if (fullQString.length > 0) {
        //Split Query String into separate parameters
        paramArray = fullQString.split("&");
        //Loop through params, check if parameter exists.  
        for (i = 0; i < paramArray.length; i++) {
            currentParameter = paramArray[i].split("=");
            if (currentParameter[0] == parameter) //Parameter already exists in current url
            {
                return true;
            }
        }
    }

    return false;
}


function getParameterByName(name) {
    name = name.replace(/[\[]/, "\\\[").replace(/[\]]/, "\\\]");
    var regex = new RegExp("[\\?&]" + name + "=([^&#]*)"),
        results = regex.exec(location.search);
    return results == null ? "" : decodeURIComponent(results[1].replace(/\+/g, " "));
}

/* right panel Slider */
$(document).off('click', '.headClose').on('click', '.headClose', function () {
    $('#divSideBySideView').addClass('closed').parent().attr('class', 'width0');
    $('.PanBI-main-data-container').addClass('open');
    if ($("#gridViewer").length !== 0) {
        setTimeout(function () {
            $("#gridViewer").DataViewer("resizeCanvas");
        }, 510);
    }
});

var chartGrid;

$(document).on('click', '.headColor', function () {
    if ($('.catalog-header').length == 0) {
        if ($('#divSideBySideView.closed-state').length !== 0) {
            $('.headImg').toggleClass('noClickImg');
            $('.headColor').toggleClass('active');
            $("#divSideBySideView").removeClass('closed-state').addClass('open-state');
            $('.PanBI-main-data-container').removeClass('open').addClass('closed');
            /* Added for comment and share icon for both Analyze and Visualize Page -- Nikhil*/
            if (!$(".PanBI-main-data-container").hasClass('open')) {
                // $(".commentMainDiv").css("right", "587PX");
                // $(".shareMainDiv").css("right", "620PX");
                $('.parentFilter').css('width', '98%');
                $(".dashletList").css("right", "660PX");
                if ($('.pivot').hasClass('active')) {
                    //$(".commentMainDiv").css("right", "370px");
                    // $(".shareMainDiv").css("right", "400PX");
                }
            }

        }
        else {
            $('.headImg').toggleClass('noClickImg');
            $('.headColor').toggleClass('active');
            $("#divSideBySideView").removeClass('open-state').addClass('closed-state');
            $('.PanBI-main-data-container').removeClass('closed').addClass('open');
            /* Added for comment and share icon for both Analyze and Visualize Page -- Nikhil*/
            if ($(".PanBI-main-data-container").hasClass('open')) {
                $(".dashletList").css("right", "382PX");
            }
        }
    }
    else {
        if ($('.slick-grid-selected').length === 0) {
            $('.headColor').toggleClass('noClick', 'slow');
            $('.headImg').toggleClass('noClickImg');
            $('.filter-master-control-container').toggleClass('noClickSearch', 'slow');
            if ($('.headImg').hasClass('noClickImg')) {
                $('.catalog-header').removeClass('openCatalog');
                $('.catalog-header.headColor').addClass('inactive-header');
            }
            else {
                $('.catalog-header').addClass('openCatalog');
                $('.catalog-header.headColor').removeClass('inactive-header');
            }
        }
        else {
            if ($('.headColor').hasClass('noClick')) {
                $("#divSideBySideView").removeClass('closed-state').addClass('open-state');
                $('.PanBI-main-data-container').removeClass('open').addClass('closed');
            }
            else {
                if ($("#divSideBySideView").hasClass('open-state')) {
                    $("#divSideBySideView").removeClass('open-state').addClass('closed-state');
                    $('.PanBI-main-data-container').removeClass('closed').addClass('open');
                    $('.catalog-header.headColor').addClass('inactive-header');
                    if ($('.headImg').hasClass('noClickImg')) {
                        $('.catalog-header').removeClass('openCatalog');
                    }
                    else {
                        $('.catalog-header').addClass('openCatalog');
                    }
                }
                else {
                    $("#divSideBySideView").removeClass('closed-state').addClass('open-state');
                    $('.PanBI-main-data-container').removeClass('open').addClass('closed');
                    if ($('.headImg').hasClass('noClickImg')) {
                        $('.catalog-header').removeClass('openCatalog');
                        $('.catalog-header.headColor').addClass('inactive-header');
                    }
                    else {
                        $('.catalog-header').addClass('openCatalog');
                        $('.catalog-header.headColor').removeClass('inactive-header');
                    }
                }
            }
        }
    }

    setTimeout(function () {
        if ($(".divTabViewer .ui-state-active .tabsItem").hasClass('parentImg')) {
            $("#gridViewer").DataViewer("resizeCanvas");
        }
        else if ($(".divTabViewer .ui-state-active .tabsItem").hasClass('derivedImg')) {
            var data = $(".viewerTab").data('reclineInit');
            var grid = _.findWhere(data._reclineView.pageViews, { id: "grid" }).view.grid;
            grid.resizeCanvas();
            var totalsPlugin = new TotalsPlugin($.getScrollbarWidth());
            grid.registerPlugin(totalsPlugin);
            //added for resizing the pivot grid while toggling sidepanel
            var options = {
                width: $('.data-view-container').width()
            }
            pgridwidget.resetPivotDOMStructure(options);
        }

        //resizing of pivoted grid
        if ($('.chartGrid').length > 0) {
            $('.chartGrid').width($('.data-view-container').width());
            chartGrid.resizeCanvas();
            chartGrid.registerPlugin(new TotalsPlugin($.getScrollbarWidth()));
        }

        $(window).trigger('resize');
        d3.select(".nv-y>g>g>.nv-axislabel").attr("x", "40%");
        if ($('.catalog-header').length > 0) {
            var self = $("#content_2").data("CatalogViewer");
            if (self.grid) self.grid.resizeCanvas();
        }
    }, 520);
});

$(document).ready(function () {
    if ($("#dialog-confir").length == 0) {
        $('body').append('<div id="dialog-confir"></div>');
    }
});

//creating the scema of visualization while analyzing
function setAnalyzeSchema(name, schema, records, activeView) {
    $divReclineContainer.reclineviewer({
        misID: 0,
        title: name,
        search: {
            show: false
        },
        source: {
            restapiMode: false,
            schema: schema,
            data: records
        },
        viewer: {
            activeView: activeView || 'Pivot',
            GIS: 'True'
        }
    });
}

function split(val) {
    return val.split(/,\s*/);
}

function extractLast(term) {
    return split(term).pop();
}

function clearFilter() {
    $("#dataReclineview").empty();
    $('.parentImg').click();
    $("#divTabViewer").tabs("option", "active", 0);
    $("#divTabViewer").tabs("disable");
}

var flag = true;
function dataViewer(div, schema, url, MaxRowCount) {
    if (flag) {
        div.DataViewer({
            schema: schema, // schema for parent grid
            dataURL: url,
            MaxRowCount: MaxRowCount, // maximum record count set by admin
            enableJsonp: true,
            paging: {
                enable: true,
                panel: 'top',
                showItemCount: true,
                pageSize: 1000, // default page size
                pageSizes: [5, 10, 20, 50, 100] // default record count per page
            },
            grid: {
                explicitInitialization: false
            }
        });
        flag = false;
    }
}

var recordCount = 0;
function LoadDerived(query, url, dashletList, catalogDetails, catalogQuery, description, visulaizers, MaxRowCount) {
    $('.divTabViewer').find('.add-filter-record').remove();
    if (query.aggregate.length != 0 || query.filter.length != 0) {
        if (!query) return;

        var previewSchema = GetJTableSchema(query);
        var preview = $('<div></div>');

        $('#dataPreview').empty().append(preview);
        preview.DataViewer({
            schema: previewSchema,
            query: JSON.stringify(query),
            MaxRowCount: MaxRowCount,
            dataURL: url,
            enableJsonp: false,
            paging: {
            },
            grid: {
                enable: false
            },
            onRecordLoad: function (event, data, pagingState) {
                // Modified to hadle action result, replaced json result with action result bcoz the maxjsonlimit error.
                recordCount = (data != null) ? data.length : 0;
                var records = (data != null) ? data : [];

                if (MaxRowCount < records.length) {
                    records = records.slice(0, -1);
                    _app.notify({
                        title: 'Maximum Records',
                        type: 'notice',
                        text: 'Maximum records exceeded, please apply further filters for accurate result.',
                        delay: 3000
                    });
                }

                if (event == "load") {
                    $('#dataRequest', '#dataResponse').empty();
                    data = $.parseJSON(records);
                    $divReclineContainer = $("<div/>");
                    $("#dataReclineview").empty().append($divReclineContainer);
                    var schema = GetReclineSchema(query, name, pagingState, undefined, visulaizers);
                    if ($("#divTabViewer").tabs('option', 'selected') == 0) {
                        $("#divTabViewer").tabs("enable");
                    }
                    $("#divTabViewer").tabs("option", "active", 1);
                    $divReclineContainer.reclineviewer({
                        misID: 0,
                        title: name,
                        dashletList: dashletList,
                        savedFilters: catalogQuery,
                        search: {
                            show: false
                        },
                        source: {
                            restapiMode: false,
                            schema: schema,
                            data: records
                        },
                        catalogDetails: catalogDetails,
                        viewer: {
                            activeView: 'Grid',
                            GIS: 'True'
                        }
                    });
                    //$('.navigation .btn-group a[data-view="' + type + '"]').trigger('click');
                } else {
                    ReloadRecline(records, pagingState);
                }
            },
            buttons: [{
                text: 'Save',
                title: 'Save/Save As',
                id: 'btnDataViewerSaveAs',
                cssClass: "",
                click: function () {

                }
            }]
        });
        $(document).on('click', '#btnDataViewerSaveAs .dropdown-item.dashlet', function () {
            var create = 1;

            //if (recordCount > 0) {
            if ($(this).text() == "Save As") create = 1;
            else if ($(this).text() == "Save" && !(catalogTypeId == _app.catalogType.External)) create = 0;
            //else if ($(this).text() == "Save" && !(catalogDetails.CatalogTypeId == _app.catalogType.External)) create = 0;
            var snapshotType = "checkbox";
            var catalogType = "option";
            dataViewerExension.showSaveAs({
                Name: { value: name },
                Description: { value: description },
                //CatalogType: { value: (create == 1 ? _app.catalogType.FilterDashlet : catalogDetails.CatalogTypeId) },
                CatalogType: { value: (create == 1 ? _app.catalogType.FilterDashlet : catalogTypeId) },
                //CatalogId: { value: catalogDetails.CatalogId },
                CatalogId: { value: catalogId },
                Query: { value: JSON.stringify(query) },
                CreateNew: { value: create }
            });
            //}
        });
    }
}

function generateDailog(errorMsg, errorClass) {
    $("#dialog-confir").html(errorMsg);
    $("#dialog-confir").dialog({
        resizable: false,
        modal: true,
        height: "200",
        width: "auto",
        draggable: false,
        close: function () { $(this).dialog('destroy'); },
        dialogClass: "message custom-style no-titlebar " + errorClass,
        buttons: {
            OK: function () {
                $(this).dialog('destroy');
            }
        }
    });
}
//call comes from misviewer index
function callReclineViewer(div, misId, dashletId, userRights, title, dashletList, schemaUrl, search, controller, gis, visual, dashletTitle, dashletName, description, tag, category, CatalogCategories, gotoUrl, MaxRowCount, isSharable, asOfDate, shared) {
    var catalog;
    var postData = { catalogId: dashletId };
    _ajaxcall(
        '/BI/DataViewer/GetCatalog',
        postData,
        false, //asynchronous
        function (data) { //success
            catalog = data.Records;
        },
        function (p_request, p_status, p_error) {
            if (window.console && window.console.log) console.log((p_error.message ? p_error.message : p_error));
        }
    );
    //catalog query is used to show the filters that are selected in the analyze section
    var catalogQuery = [];
    _ajaxcall(
        '/BI/MISViewer/GetCatalogQuery',
        postData,
        false, //asynchronous
        function (data) { //success
            if (data != "" && data.query != "")
                catalogQuery = JSON.parse(data.query);
            else catalogQuery = {
                aggregate: [],
                filter: [],
                fields: []
            };
        },
        function (p_request, p_status, p_error) {
            if (window.console && window.console.log) console.log((p_error.message ? p_error.message : p_error));
        }
    );

    var buttonShow = shared;
    if (catalog.CatalogTypeId == _app.catalogType.External || catalog.CatalogTypeId == _app.catalogType.Dataset || catalog.CatalogTypeId == _app.catalogType.Filter || catalog.CatalogTypeId == _app.catalogType.FilterDashlet) {
        buttonShow = false;
    }
    var catalogDetails = {
        CatalogTypeId: catalog.CatalogTypeId,
        CatalogId: catalog.CatalogId,
        savedFilters: catalogQuery,
        dashletList: dashletList,
        buttonShow: buttonShow,
        isSharable: isSharable,
        asOfDate: false,
        schema: catalog.Schema,
        baseSchema: catalog.BaseSchema
    };

    div.reclineviewer({
        misID: misId,
        dashletID: dashletId,
        userRights: userRights,
        title: title,
        catalog: catalogDetails,
        minLegend: 5,
        MaxRowCount: MaxRowCount,
        requestPage: "visualize",
        source: {
            schemaApi: schemaUrl
        },
        search: {
            show: search,
            controller: controller
        },
        viewer: {
            GIS: gis,
            activeView: JSON.parse(catalogDetails.schema).layoutSchema.type,
            visual: visual
        },
        dashlet: {
            config: JSON.parse(catalogDetails.schema).layoutSchema.view,
            titles: dashletTitle,
            name: dashletName,
            description: description,
            tag: tag,
            category: category,
            CatalogCategories: CatalogCategories
        },
        gotoAnalyticsURL: gotoUrl
    });
}

//Function to call slick grid with total as options
function slickGridCall(el, dataProvider, visibleColumns, options, gridOptions) {
    $.each(visibleColumns, function (i, val) {
        val['width'] = 100;
    });

    if (gridOptions.grandTotal) {
        dataProvider = new TotalsDataView(dataProvider, visibleColumns);
        var grid = new Slick.Grid(el, dataProvider, visibleColumns, options);
        var totalsPlugin = new TotalsPlugin($.getScrollbarWidth());
        grid.registerPlugin(totalsPlugin);
        return grid;
    }
    else {
        return new Slick.Grid(el, dataProvider, visibleColumns, options);
    }
}

function _ajaxcall(url, postData, async, success, error) {
    $.ajax({
        url: url,
        type: 'POST',
        dataType: 'json',
        data: postData,
        async: async,
        success: function (data) {
            if (data && typeof data == "string") data = JSON.parse(data);
            success(data);
        },
        error: function () {
            error();
        }
    });
}
//valueformatter function for formatting values in set of records
function valueFormatter(value, columnDef) {
    switch (columnDef.type) {
        case 'string':
            if (value == undefined || value == null)
                value = "";
            break;
        case 'date':
        case 'datetime':
        case 'date-time':
        case 'timestamp':
            if (columnDef.format) {
                //fix for null date fields are changes into current date
                if (value == undefined || value == "")
                    value = "";
                else {              //converting Date to Selected Format
                    if (value.toString().indexOf('valError') == -1) {
                        if (moment(value).format(columnDef.format.format) != "Invalid date")
                            value = moment(value).format(columnDef.format.format);
                        else if (moment(value, columnDef.format.format).format(columnDef.format.format) != "Invalid date")
                            value = moment(value, columnDef.format.format).format(columnDef.format.format);
                    }
                    else
                        return value;
                }
            }
            break;
        case 'numeric':
        case 'number':
        case 'float':
        case 'int':
        case 'integer':
        case 'decimal':
        case 'currency':
            try {
                if (value.toString().indexOf('valError') == -1) {
                    //added a condition for not to convert string to integer
                    if (columnDef.format && !isNaN(value) && value != null && value != "") {
                        if (columnDef.format.category != "Date")
                            value = isFinite(value) ? _appFun.numberFormatFunction(columnDef.format, value) : 0;
                    }
                    else {
                        if ((value == null || value.toString() == "" || value == undefined)) {
                            return "";
                        }
                    }
                }
                else {
                    return value;
                }
            }
            catch (e) {
                return "";
            }
            break;
        case 'percent':
            try {
                //fix for percentage not showing in grid while applying aggregate,metrics.called numberformatfunction
                if ($.isNumeric(value)) {
                    if (columnDef.format) {
                        value = _appFun.numberFormatFunction(columnDef.format, value);
                    }
                }
                else {
                    if (value.toString().indexOf('valError') == -1) {
                        if (value == "") {
                            return value;
                        }
                        else {
                            value = _appFun.numberFormatFunction(columnDef.format, parseFloat(value.toString().replace(/%/g, '')));
                        }
                    }
                    else {
                        return value;
                    }
                }
            }
            catch (e) {
                return "";
            }
            break;
    }
    return value;
}
function slickFormatter(row, cell, value, columnDef, dataContext) {
    switch (columnDef.type) {
        case 'string':
            if (value == undefined || value == null)
                value = "";
            break;
        case 'date':
        case 'datetime':
        case 'date-time':
        case 'timestamp':
            if (columnDef.format) {
                //fix for null date fields are changes into current date
                if (value == undefined || value == "")
                    value = "";
                else {              //converting Date to Selected Format
                    if (value.toString().indexOf('valError') == -1) {
                        if (moment(value).format(columnDef.format.format) != "Invalid date")
                            value = moment(value).format(columnDef.format.format);
                        else if (moment(value, columnDef.format.format).format(columnDef.format.format) != "Invalid date")
                            value = moment(value, columnDef.format.format).format(columnDef.format.format);
                    }
                    else
                        return value;
                }
            }
            break;
        case 'numeric':
        case 'number':
        case 'float':
        case 'int':
        case 'integer':
        case 'decimal':
        case 'currency':
            try {
                if (value.toString().indexOf('valError') == -1) {
                    //added a condition for not to convert string to integer
                    if (columnDef.format && !isNaN(value) && value != null && value != "") {
                        if (columnDef.format.category != "Date")
                            value = isFinite(value) ? _appFun.numberFormatFunction(columnDef.format, value) : 0;
                    }
                    else {
                        if ((value == null || value.toString() == "" || value == undefined)) {
                            return "";
                        }
                    }
                }
                else {
                    return value;
                }
            }
            catch (e) {
                return "";
            }
            break;
        case 'percent':
            try {
                //fix for percentage not showing in grid while applying aggregate,metrics.called numberformatfunction
                if ($.isNumeric(value)) {
                    if (columnDef.format) {
                        value = _appFun.numberFormatFunction(columnDef.format, value);
                    }
                }
                else {
                    if (value.toString().indexOf('valError') == -1) {
                        if (value == "") {
                            return value;
                        }
                        else {
                            value = _appFun.numberFormatFunction(columnDef.format, parseFloat(value.toString().replace(/%/g, '')));
                        }
                    }
                    else {
                        return value;
                    }
                }
            }
            catch (e) {
                return "";
            }
            break;
    }
    value = "<span title='" + value + "'>" + value + "</span>";
    return value;
}

// apply filters
function applyFilterQuery(results, queryObj) {
    return _.filter(results, function (record) {
        var passes = _.map(queryObj.filter, function (filter) {
            if (record[filter["fieldName"]]) {
                return slickGridFilters(record, filter);
            }
            else {
                return true;
            }
        });
        // return only these records that pass all filters
        return _.all(passes, _.identity);
    });
}


// filters definitions
function slickGridFilters(record, filter) {    
    if (filter.operator == "between") {
        if (filter.type == "date" || filter.type == "date-time") {
            //Method to find in between values in date fields
            var format = _.findWhere(self.fields, { id: filter.fieldName }).format;
            var filterStart = (filter.type == "date" || filter.type == "date-time") ? (moment(filter["value1"], "YYYY-MM-DDTHH:mm:ss").format(format.format)) : (filter["value1"] || filter["value1"]);
            var filterStop = (filter.type == "date" || filter.type == "date-time") ? (moment(filter["value2"], "YYYY-MM-DDTHH:mm:ss").format(format.format)) : (filter["value2"] || filter["value2"]);
            var filterDate = (filter.type == "date" || filter.type == "date-time") ? (moment(record[filter.fieldName], "YYYY-MM-DDTHH:mm:ss").format(format.format)) : (record[filter.fieldName] || record[filter.fieldName]);
            var dateFrom = moment(filterStart, format.format).format("YYYY/MM/DD");
            var dateTo = moment(filterStop, format.format).format("YYYY/MM/DD");
            var dateCheck = moment(filterDate, format.format).format("YYYY/MM/DD");
            var date1 = dateFrom.split("/");
            var date2 = dateTo.split("/");
            var checkDate = dateCheck.split("/");
            var from = new Date(date1[1] + "/" + date1[2] + "/" + date1[0]);
            var to = new Date(date2[1] + "/" + date2[2] + "/" + date2[0]);
            var check = new Date(checkDate[1] + "/" + checkDate[2] + "/" + checkDate[0]);
            if (check >= from && check <= to) {
                rtnValue = record;
               // return false;
            }
        }
        else {
            var filterStart = filter["value1"];
            var filterStop = filter["value2"];
            var startNull = (_.isUndefined(filterStart) || filterStart === null || filterStart === '');
            var stopNull = (_.isUndefined(filterStop) || filterStop === null || filterStop === '');
            //var parse = getDataParser(filter);
            var value = record[filter.fieldName];
            var start = startNull ? '' : filterStart;
            var stop = stopNull ? '' : filterStop;

            // if at least one end of range is set do not allow '' to get through
            // note that for strings '' <= {any-character} e.g. '' <= 'a'
            if ((!startNull || !stopNull) && value === '') {
                return false;
            }
            if ((startNull || value >= start) && (stopNull || value <= stop)) {
                rtnValue = record;
                //return false;
            }
        }
    }
    else {
        var queryField = filter["fieldName"].toString();
        var queryData = filter["value1"].split(" ,");
        var daysAgo = filter["value1"];
        var queryFormat = record[queryField];
        var rtnValue = false;
        _.each(queryData, function (text, i) {
            if (filter.type == "date-time" || filter.type == "date") {
                queryData[i] = $.datepicker.formatDate('MM/dd/yy', new Date(text));
                queryFormat = $.datepicker.formatDate('MM/dd/yy', new Date(queryFormat));
            }
        });
        _.each(queryData, function (text, i) {
            text = $.isNumeric(text) ? parseFloat(text) : text;
            queryFormat = $.isNumeric(text) ? parseFloat(queryFormat) : queryFormat;
            if (text == "null" || text == "''" || text == " ") {
                if (queryFormat == null) {
                    rtnValue = record;
                    return false;
                }
            }
            else {
                switch (filter.operator) {
                    case "In":
                        if (queryFormat === text) {
                            rtnValue = record;
                            return false;
                        }
                        break;

                    case "NotIn":
                        if ($.inArray(queryFormat, queryData) == -1) {
                            rtnValue = true;
                        }
                        break;

                    case "Like":
                        if (queryFormat.toLowerCase().indexOf($.trim(text.toLowerCase())) >= 0) {
                            rtnValue = record;
                            return false;
                        }
                        break;

                    case "NotLike":
                        for (var i = 0; i < queryData.length; i++) {
                            if (queryFormat.toLowerCase().indexOf($.trim(text.toLowerCase())) < 0) {
                                rtnValue = record;
                            } else {
                                rtnValue = false;
                                break;
                            }
                        }

                        break;

                    case "=":
                        if (parseFloat(queryFormat) === parseFloat(text) || ($.datepicker.formatDate('MM/dd/yy', new Date(text)) === $.datepicker.formatDate('MM/dd/yy', new Date(queryFormat)) && (filter.type == "date" || filter.type == "date-time"))) {
                            rtnValue = record;
                            return false;
                        }
                        break;

                    case "!=":
                        if ($.inArray(queryFormat.toString(), queryData) == -1 && (filter.type == "numeric" || filter.type == "number")) {
                            rtnValue = record;
                            return false;
                        }
                        else if ($.inArray($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat)), queryData) == -1 && (filter.type == "date" || filter.type == "date-time")) {
                            rtnValue = record;
                            return false;
                        }
                        break;

                    case ">":
                        if (parseFloat(queryFormat) > parseFloat(text) && (filter.type == "numeric" || filter.type == "number")) {
                            rtnValue = record;
                            return false;
                        }
                        else if (new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) > new Date(text) && (filter.type == "date" || filter.type == "date-time")) {
                            rtnValue = record;
                            return false;
                        }
                        break;

                    case "<":
                        if (parseFloat(queryFormat) < parseFloat(text) && (filter.type == "numeric" || filter.type == "number")) {
                            rtnValue = record;
                            return false;
                        }
                        else if (new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) < new Date(text) && (filter.type == "date" || filter.type == "date-time")) {
                            rtnValue = true;
                            return false;
                        }
                        break;

                    case ">=":
                        if (parseFloat(queryFormat) >= parseFloat(text) && (filter.type == "numeric" || filter.type == "number")) {
                            rtnValue = record;
                            return false;
                        }
                        else if (new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) >= new Date(text) && (filter.type == "date" || filter.type == "date-time")) {
                            rtnValue = record;
                            return false;
                        }
                        break;

                    case "<=":
                        if (parseFloat(queryFormat) <= parseFloat(text) && (filter.type == "numeric" || filter.type == "number")) {
                            rtnValue = record;
                            return false;
                        }
                        else if (new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) <= new Date(text) && (filter.type == "date" || filter.type == "date-time")) {
                            rtnValue = record;
                            return false;
                        }
                        break;
                    case "MTD":
                        var date = new Date();
                        var firstDay = new Date(date.getFullYear(), date.getMonth(), 1);
                        if (new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) >= new Date($.datepicker.formatDate('MM/dd/yy', new Date(firstDay))) && new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) <= new Date($.datepicker.formatDate('MM/dd/yy', new Date(date)))) {
                            rtnValue = record;
                            return false;
                        }
                        break;
                    case "YTD":
                        var date = new Date();
                        var yearStart = '01/01/' + new Date().getFullYear()
                        if (new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) >= new Date($.datepicker.formatDate('MM/dd/yy', new Date(yearStart))) && new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) <= new Date($.datepicker.formatDate('MM/dd/yy', new Date(date)))) {
                            rtnValue = record;
                            return false;
                        }
                        break;
                    case "QTD":
                        var date = new Date();
                        var quarterFrom = getQuarterFirstDay(date);
                        if (new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) >= new Date($.datepicker.formatDate('MM/dd/yy', new Date(quarterFrom))) && new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) <= new Date($.datepicker.formatDate('MM/dd/yy', new Date(date)))) {
                            rtnValue = record;
                            return false;
                        }
                        break;
                    case "TDY":
                        var date = new Date();
                        if (new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) == new Date($.datepicker.formatDate('MM/dd/yy', new Date(date)))) {
                            rtnValue = record;
                            return false;
                        }
                        break;
                    case "YDY":
                        var today = new Date();
                        var yesterday = new Date(today);
                        if (new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) == new Date($.datepicker.formatDate('MM/dd/yy', new Date(yesterday.setDate(today.getDate() - 1))))) {
                            rtnValue = record;
                            return false;
                        }
                        break;
                    case "TWK":
                        var date = new Date;
                        var first = date.getDate() - date.getDay(); // First day is the day of the month - the day of the week
                        var firstday = new Date(date.setDate(first)).toUTCString();
                        if (new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) >= new Date($.datepicker.formatDate('MM/dd/yy', new Date(firstday))) && new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) <= new Date($.datepicker.formatDate('MM/dd/yy', new Date(date)))) {
                            rtnValue = record;
                            return false;
                        }
                        break;
                    case "LWK":
                        var date = new Date();
                        var first = date.getDate() - date.getDay();
                        var firstday = new Date(date.setDate(first)).toUTCString();
                        var lastWeekFirstDay = new Date(firstday);
                        lastWeekFirstDay.setDate(lastWeekFirstDay.getDate() - 7);
                        var lastWeekLastDay = new Date(lastWeekFirstDay.getDate() + 7);
                        if (new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) >= new Date($.datepicker.formatDate('MM/dd/yy', new Date(lastWeekFirstDay))) && new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) <= new Date($.datepicker.formatDate('MM/dd/yy', new Date(lastWeekLastDay)))) {
                            rtnValue = record;
                            return false;
                        }
                        break;
                    case "L2WK":
                        var date = new Date();
                        var first = date.getDate() - date.getDay();
                        var firstday = new Date(date.setDate(first)).toUTCString();
                        var lastWeekFirstDay = new Date(firstday);
                        lastWeekFirstDay.setDate(lastWeekFirstDay.getDate() - 14);
                        var lastWeekLastDay = new Date(lastWeekFirstDay.getDate() + 14);
                        if (new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) >= new Date($.datepicker.formatDate('MM/dd/yy', new Date(lastWeekFirstDay))) && new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) <= new Date($.datepicker.formatDate('MM/dd/yy', new Date(lastWeekLastDay)))) {
                            rtnValue = record;
                            return false;
                        }
                        break;
                    case "TM":
                        var date = new Date();
                        var thisMonthFirstDate = new Date(date.getFullYear(), (date.getMonth()) % 12, 1);
                        if (new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) >= new Date($.datepicker.formatDate('MM/dd/yy', new Date(thisMonthFirstDate))) && new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) <= new Date($.datepicker.formatDate('MM/dd/yy', new Date(date)))) {
                            rtnValue = record;
                            return false;
                        }
                        break;
                    case "LM":
                        var date = new Date();
                        var prevMonthFirstDate = new Date(date.getFullYear(), (date.getMonth() - 1 + 12) % 12, 1);
                        var prevMonthLastDate = new Date(date.getFullYear(), date.getMonth(), 0);
                        if (new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) >= new Date($.datepicker.formatDate('MM/dd/yy', new Date(prevMonthFirstDate))) && new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) <= new Date($.datepicker.formatDate('MM/dd/yy', new Date(prevMonthLastDate)))) {
                            rtnValue = record;
                            return false;
                        }
                        break;
                    case "TQ":
                        var date = new Date();
                        var quarterFrom = getQuarterFirstDay(date);
                        var endDate = Date(date.getFullYear(), new Date(quarterFrom).getMonth() + 3, 0);
                        if (new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) >= new Date($.datepicker.formatDate('MM/dd/yy', new Date(quarterFrom))) && new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) <= new Date($.datepicker.formatDate('MM/dd/yy', new Date(endDate)))) {
                            rtnValue = record;
                            return false;
                        }
                        break;
                    case "PQ":
                        var date = new Date();
                        var quarter = Math.floor((date.getMonth() / 3));
                        var firstDate = new Date(date.getFullYear(), quarter * 3 - 3, 1);
                        var lastDate = new Date(firstDate.getFullYear(), firstDate.getMonth() + 3, 0);
                        if (new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) >= new Date($.datepicker.formatDate('MM/dd/yy', new Date(firstDate))) && new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) <= new Date($.datepicker.formatDate('MM/dd/yy', new Date(lastDate)))) {
                            rtnValue = record;
                            return false;
                        }

                        break;
                    case "TY":
                        var date = new Date();
                        var FirstDay = new Date(date.getFullYear(), 0, 1);
                        var LastDay = new Date(date.getFullYear(), 12, 0);
                        if (new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) >= new Date($.datepicker.formatDate('MM/dd/yy', new Date(FirstDay))) && new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) <= new Date($.datepicker.formatDate('MM/dd/yy', new Date(LastDay)))) {
                            rtnValue = record;
                            return false;
                        }
                        break;
                    case "LY":
                        var date = new Date();
                        var FirstDay = new Date(date.getFullYear() - 1, 0, 1);
                        var LastDay = new Date(date.getFullYear() - 1, 12, 0);
                        if (new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) >= new Date($.datepicker.formatDate('MM/dd/yy', new Date(FirstDay))) && new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) <= new Date($.datepicker.formatDate('MM/dd/yy', new Date(LastDay)))) {
                            rtnValue = record;
                            return false;
                        }
                        break;
                    case "DA":
                        var date = new Date();
                        var daysAgoDate = date.setDate(date.getDate() - daysAgo);
                        if (new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) >= new Date($.datepicker.formatDate('MM/dd/yy', new Date(daysAgoDate))) && new Date($.datepicker.formatDate('MM/dd/yy', new Date(queryFormat))) <= new Date($.datepicker.formatDate('MM/dd/yy', new Date()))) {
                            rtnValue = record;
                            return false;
                        }
                        break;

                    case "Is Blank":
                        /*to Filter the null values*/
                        if (queryFormat == "" || queryFormat == null || queryFormat == undefined || queryFormat == "Invalid date") {
                            rtnValue = true;
                            return false;
                        }
                        else {
                            rtnValue = false;
                            return false;
                        }
                        break;
                }
            }
        });
    }

    return rtnValue;
}

function slickFormatterCss(type) {
    var className = '';
    switch (type) {
        case 'number':
        case 'integer':
        case 'numeric':
            className = 'align-right'
            break;
        case 'date':
        case 'datetime':
        case 'date-time':
        case 'timestamp':
        case 'geo_point':
        case 'geo':
            className = 'align-center'
            break;
        default:
            className = 'align-left'
            break;
    }
    return className;
}

/*Get filter fields */
function findParentFilters(object, strCaption) {
    var dim = object;
    if (dim.field != null || dim.field != undefined)
        strCaption.push({ name: dim.field.caption, value: dim.value });
    if (dim.hasOwnProperty("parent")) {
        if (typeof dim.parent == "object" && dim.parent != null) {
            if (dim.parent.field != null) {
                findParentFilters(dim.parent, strCaption);
            }
        }
    }
    return strCaption;
}

/* Get selected items from schema*/
function getItems(schema, displayName) {
    return _.findWhere(schema, { name: displayName });
}

/*Display warnning and slice last record if the record count is greater than the settings*/
function ShowNotificationAndSliceData(MaxRowCount, records, show) {
    if (MaxRowCount < records.length) {
        records = records.slice(0, -1);
        if (show) {
            _app.notify({
                title: 'Maximum Records',
                type: 'notice',
                text: 'Maximum records exceeded, please apply further filters for accurate result.',
                delay: 3000
            });
        }
    }
    return records;
}


function manageDataViewer(div, parentGridSchema, parentDataURL, MaxRowCount, explicitInitialization) {
    div.DataViewer({
        schema: parentGridSchema,
        dataURL: parentDataURL,
        enableJsonp: true,
        childGrid: false,
        MaxRowCount: MaxRowCount,
        paging: {
            enable: true,
            panel: 'top',
            showItemCount: true,
            pageSize: MaxRowCount,
            pageSizes: [5, 10, 20, 50, 100, 250, 500, 1000, 5000, 10000]
        },
        grid: {
            explicitInitialization: explicitInitialization
        }
    });
}

// convert Json to array.
// required Json data and property.
function JsonToArray(records, property) {
    //sample [{k1:v1, k2:v2}, {k1:v3, k2:v4}...] to [[ v1, v2],[v3, v4]...]                            
    var data;
    var result = [];
    _.each(records, function (item) {
        data = [];
        _.each(property, function (prop) {
            data.push(item[prop]);
        });
        result.push(data);
    });

    return result;
}

function arrayToJSON(fieldNames, data) {
    var resultJSON = [];
    for (var i = 0; i < data.length; i++) {
        var obj = {};
        for (var j = 0; j < fieldNames.length; j++) {
            obj[fieldNames[j]] = data[i][j];
        }
        resultJSON.push(obj);
    }
    return resultJSON;
}

Array.prototype.getIndexBy = function (name, value) {
    for (var i = 0; i < this.length; i++) {
        if (this[i][name] == value) {
            return i;
        }
    }
    return -1;
}

function initializePivot(container, pivot, dataset, toolbar, reduceHight, canMoveFields, lazyload, callLocation) {
        var elem = container[0].getElementsByClassName(pivot.cid)[0], // taking the parent div id
        modelPivot = pivot.state.get('Pivot');
    if (elem != undefined) {
        var widthP = container.children('.recline-data-explorer').length == 0 ? (container.width()) : container.children('.recline-data-explorer').width() - 10;
        var heightP = container.children('.recline-data-explorer').length == 0 ? (container.height() - 5) : container.children('.recline-data-explorer').height();
    }
    var columnsVisible, rowSettings, colSettings, rowVisible;
    //grandtotal and subtotal settings saved or not
    if (modelPivot.totals && modelPivot.totals.rowSubTotal && modelPivot.totals.colSubTotal) {
        columnsVisible = modelPivot.totals.columnGrandTotal;
        rowVisible = modelPivot.totals.rowGrandTotal == undefined ? true : modelPivot.totals.rowGrandTotal;  //to save rowgrandtotal
        modelPivot.totals.rowSubTotal.visible = modelPivot.totals.rowSubTotal.visible == false ? false : (modelPivot.totals.rowSubTotal.visible == null ? false : true); // added by kather -- to fix subtotal save issue --when enable column grandtotal, if subtotal already disbled its comes with false.
        rowSettings = modelPivot.totals.rowSubTotal;
        modelPivot.totals.colSubTotal.visible = modelPivot.totals.colSubTotal.visible == false ? false : (modelPivot.totals.colSubTotal.visible == null ? false : true);
        colSettings = modelPivot.totals.colSubTotal;
    } else {
        //to save rowgrandtotal and columngrandtotal
        if (modelPivot.totals) {
            columnsVisible = modelPivot.totals.columnGrandTotal == undefined ? false : modelPivot.totals.columnGrandTotal;
            rowVisible = modelPivot.totals.rowGrandTotal == undefined ? true : modelPivot.totals.rowGrandTotal;
        }
        else {
            columnsVisible = false;
            rowVisible = true;
        }
        rowSettings = colSettings = {
            visible: false,
            collapsed: false,
            collapsible: true
        };
    }
    var modelRecords = dataset.records.toJSON(),
        modelFields = dataset.fields.toJSON(),
        obj;
    var rec = modelRecords;                                 //fix for Invalid date format is showing in Chart and Pivot
    $.each(rec, function (key, val) {
        $.each(val, function (k, v) {
            var keyfield = _.findWhere(modelFields, { id: k });
            if (keyfield != null || keyfield != undefined) {
                if (keyfield.format != null || keyfield.format != undefined) {
                    if (keyfield.type == "date" || keyfield.type == "date-time") {
                        if (!moment(v, keyfield.format.format, true).isValid()) {
                            if (moment(v).format(keyfield.format.format) != "Invalid date") {
                                modelRecords[key][k] = moment(v).format(keyfield.format.format);
                            }
                        }
                    }
                }
            }

        });
    });
    var axeTypes = ["rows", "cols", "vals"];
    var items, flag = false;
    var customOrderSettings = {};
    _.each(modelFields, function (val, i) {
        if (val.customSort) { // if custom sort true..
            var components = [];
            for (var j = 0; j < val.customSortFields.length; j++) {
                components.push(val.customSortFields[j].labelName);
            }
            customOrderSettings = {
                customOrder: true,
                components: components,
                sortFieldInfo: { caption: val.label, hideField: true }
            };
        }
        _.each(modelPivot.pivotFields, function (value, j) {
            if (value.fieldName != val.id) flag = true;
        });
    });

    if (modelPivot.pivotFields != undefined && modelPivot.pivotFields.length > 0 && !flag) { // modelfield(current fields) length and pivot fields (already saved fields) is not equal, assume some  fields are added or removed.
        items = modelPivot.pivotFields;
        _.each(items, function (val, i) {
            if (val.dataSettings != undefined) {
                if (val.fieldFormatName != null) {
                    val.dataSettings = {
                        formatFunc: function (value) {
                            if (!isNaN(value)) {
                                if (val.fieldFormatName != null) {
                                    value = _appFun.numberFormatFunction(val.fieldFormatName, value);
                                }
                                else {
                                    value = value.toFixed(2);
                                }
                            }
                            else value = "";
                            return value;
                        }
                    }
                }
            }

        });
    }
    else {
        var currentActiveFields = [];
        items = _.map(modelFields, function (val, i) {  // Making the field schema in orb structrue
            currentActiveFields.push(val.label);
            obj = {
                name: i,
                caption: val.label,
                fieldName: val.id,
                fieldFormatName: val.formula,
                sort: {
                    order: 'asc'
                },
                visibleState: true // field visible state  --- by default is true. --- added by kather.
            };

            //If the field is currency format,  add format function to convert to currency.
            obj.dataSettings = {
                formatFunc: function (value) {
                    if (!isNaN(value)) {
                        if (value != null) {
                            if (val.format) {
                                value = _appFun.numberFormatFunction(val.format, value);
                            }
                            else {
                                value = value.toFixed(2);
                            }
                        }
                    }
                    else value = "";
                    return value;
                }
            }

            obj.toolTip = obj.caption;
            if (val.formula != undefined) { // if its formula field, assign commponent name to toolTip.
                obj.toolTip = obj.caption + " (" + val.formula.label + ")"
            }

            if (val.formula && val.formula.percentage) {
                obj.hideGrandTotal = true;
            }
            //if column has formatted as percent, it shouldn't show the grand total
            if (val.format) {
                if (val.format.datatype.toLowerCase() == "percent")
                    obj.hideGrandTotal = true;
            }
            return obj;
        });

        // Allow only Active fields i.e if user add or remove new fields to already saved pivot..
        for (var i = 0; i < axeTypes.length; i++) {
            if (modelPivot[axeTypes[i]].length > 0) {
                modelPivot[axeTypes[i]] = $.grep(modelPivot[axeTypes[i]], function (element) {
                    return currentActiveFields.indexOf(element) >= 0;
                });
            }
        }
    }

    var esQuery = dataset.get('catalog').savedFilters; // To get esQuery 
    var property = [];
    //var property = Object.keys(modelRecords[0]);
    for (var i = 0; i < items.length; i++) {
        property.push(items[i].fieldName);
    }
    var catalogId = dataset.attributes.catalog.CatalogId;
    var currentUsedFields = [];
    colllectUsedFields(axeTypes);
    // get used fields from row, columns and data axetype.
    function colllectUsedFields(axeTypes) {
        for (var i = 0; i < axeTypes.length; i++) {
            var temp = modelPivot[axeTypes[i]];
            if (temp.length > 0) {
                for (var j = 0; j < temp.length; j++) {
                    currentUsedFields.push(temp[j]);
                }
            }
        }
    };
    if (currentUsedFields.length > 0) {
        // collect aggregate fields based on used fields.
        var getAggregateFields = [];
        for (var i = 0; i < currentUsedFields.length; i++) {
            for (var j = 0; j < esQuery.aggregate.length; j++) {
                if (currentUsedFields[i].replace(/ /g, '') == esQuery.aggregate[j].displayName.replace(/ /g, '')) {
                    getAggregateFields.push(esQuery.aggregate[j]);
                }
            }
        }
        var tempEsQuery = {};
        tempEsQuery.aggregate = getAggregateFields;
        var cloneExistFilter = $.extend(true, [], esQuery.filter)
        tempEsQuery.filter = cloneExistFilter;
        tempEsQuery.fields = $.extend(true, [], esQuery.fields);
        if (modelPivot.esQueryFilter) $.merge(tempEsQuery.filter, modelPivot.esQueryFilter); //serverside filter for pivot
        tempEsQuery.filterLength = true;
        if (lazyload) lazyload = true;
        else lazyload = false;
        
        if ($('.analyzeSection').length == 0) {
            var records = getpivotDatasource(lazyload, { filter: modelPivot.esQueryFilter, aggregate: [], fields: tempEsQuery.fields });  //lazyload true or false
        }
        else {
            var records = getpivotDatasource(lazyload, tempEsQuery); //lazyload true or false
        }
        createPivot(records, currentUsedFields);
    }
    else {
        var data = _appFun.getAlaSQL(modelFields, modelRecords);
        data = JsonToArray(data, property);
        createPivot(data, currentUsedFields);
    }

    //function to get the pivot data source. 
    //passing parameter as lazyload,esQuery property from the schema.
    function getpivotDatasource(lazyload, esQuery) {
        
        if (lazyload) {
            _appFun._ajaxcall({
                url: "/BI/MISViewer/GetData",
                type: 'GET',
                async: false,
                data: {
                    misID: catalogId,
                    startIndex: 0,
                    pageSize: 0,
                    sorting: "asc",
                    filterCriteria: JSON.stringify(esQuery)
                },
                success: function (response) {
                    if (response && typeof response == "string") {
                        response = JSON.parse(response);
                        if (typeof response.Records == "string") {
                            records = JSON.parse(response.Records);
                        }
                        //to show the max row count message incase of pivot data source.
                        if (_app.MaxRecordCount < records.length) {
                            records = ShowNotificationAndSliceData(_app.MaxRecordCount, records, true);
                        }
                        records = _appFun.getAlaSQL(esQuery.fields, records);
                        // show pivot raw record count on nav bar
                        $('div.nav-wrap .title-wrap .pivot-raw-record-count').empty();

                        //if (self.options.defaultViewer == 5) {
                        var pivotRawRecordCount = $('<div class="pivot-raw-record-count">Total Record(s) :' + records.length + '</div>');
                        $('div.nav-wrap .title-wrap').append(pivotRawRecordCount);
                        //}
                        records = JsonToArray(records, property);
                    }
                }
            });
            return records;
        }
        else {

            records = _appFun.getAlaSQL(modelFields, modelRecords);
            //no need of filtering in analyze section beacuse it is already filtered from server
            if ($('.analyzeSection').length == 0) {
                records = applyFilterQuery(records, esQuery);
            }
            records = JsonToArray(records, property);
            return records;
        }
    }

    function createPivot(result, currentUsedFields) {
        config = {  // To create basic config for orb pivot.
            dataSource: result,
            canMoveFields: canMoveFields,
            dataHeadersLocation: 'columns',
            width: widthP,
            height: heightP - reduceHight,
            theme: 'blue',
            pivot: pivot,
            slickgridSchema: dataset.get('fields'),
            preFilters: modelPivot == undefined ? null : modelPivot.preFilters,
            esQuery: esQuery,
            property: property,
            toolbar: {
                visible: toolbar
            },
            grandTotal: {
                rowsvisible: rowVisible,
                columnsvisible: columnsVisible
            },
            subTotal: {
                visible: true,
                collapsed: true
            },
            rowSettings: {
                subTotal: rowSettings,
                customOrderSettings: customOrderSettings
            },
            columnSettings: {
                subTotal: colSettings,
                customOrderSettings: customOrderSettings
            },
            fields: items,
            rows: modelPivot == undefined ? null : modelPivot.rows,
            columns: modelPivot == undefined ? null : modelPivot.cols,
            data: modelPivot == undefined ? null : modelPivot.vals
        };
        config.initialRecordLoad = 100;
        config.lazyload = lazyload;
        config.partialRecordLoad = 10;
        config.callLocation = callLocation;
        config.rowHeaderMaxWidth = 75; // rowheader maxium width.
        config.dataContainerMinimumWidth = 20 // data container minimum width.
        config.serverSettings = { //Assuem it, if its true, pivot expecting data from server.else it fetch client data
            isRequiredServerData: true,
            getDataFromserver: function (pivotComponent, usedFields) {
                
                var clientAggregate = [], clientFilter = [];
                if ($('.analyzeSection').length == 0) {
                    var query = $('.pivotEditorSide').aggFunctions('returnData');
                    _.each(query.filter, function (val, i) {
                        if (_.findWhere(config.esQuery.filter, { fieldName: val.fieldName }) == undefined && $.inArray(val.fieldName, clientFilter) == -1)
                            clientFilter.push(val);
                    });
                    $.merge(clientFilter, config.esQuery.filter);
                }
                if (config.lazyload) {
                    for (var i = 0; i < usedFields.length; i++) {
                        for (var j = 0; j < config.esQuery.fields.length; j++) {
                            if (usedFields[i].replace(/ /g, '') == config.esQuery.fields[j].title.replace(/ /g, '')) {//replacing the space
                                clientAggregate.push({
                                    id: 'SUM_' + config.esQuery.fields[j].id,
                                    type: config.esQuery.fields[j].type,
                                    fieldName: config.esQuery.fields[j].id,
                                    operator: config.esQuery.fields[j].type == "numeric" ? 'sum' : 'groupby',
                                    aliasName: config.esQuery.fields[j].id,
                                    displayName: config.esQuery.fields[j].title,
                                    title: config.esQuery.fields[j].title,
                                    format: config.esQuery.fields[j].format,
                                    interval: 0,
                                    dateinterval: "",
                                    order: "All",
                                    orderBy: "",
                                    size: 0,
                                    checked: true,
                                    metrics: config.esQuery.fields[j].type == "numeric" ? true : false
                                });
                            }
                        }
                    }

                }
                return getpivotDatasource(config.lazyload, { filter: clientFilter, aggregate: clientAggregate });
            }
        };
        config.customGridSettings = { //  Assume it,  if its true, we are using custom grid for drilldown report.
            customGrid: true,
            createGrid: function (pivotComponent, drilldownInfo) {
            }
        }
        // To enable/disable pivot fields (all, columns, row, data fields ).
        if (modelPivot) {
            config.isPivotFieldRequired = modelPivot.isPivotFieldRequired == undefined ? true : modelPivot.isPivotFieldRequired;
        }
        else
            config.isPivotFieldRequired = true;
        config.pivotSettings = {
            pivotName: "PivotExport"
        };
        pgridwidget = new orb.pgridwidget(config); // initialize orb pivot.
        pgridwidget.render(elem);
        var unload = $(elem).parents('.col');  //container.find('.unloadedDiv').remove();
        if (unload.length > 0) {
            $(elem).parents('.col').find('.unloadedDiv').remove();
        }
    }
}

var _appFun = new function () {

    //function for date conversion using moment
    this.convertToDate = function (value, format) {
        if (moment(value, format, true).isValid())
            return value;
        else
            return moment(value).format(format);
    }

    //function for number formatting
    this.numberFormatFunction = function (schema, value) {
        //format float number into percentage if type is percentage
        if (schema.datatype == "Percent" || schema.datatype == "percent") {
            value = parseFloat(value).toFixed(2);
            value = value.toString() + "%";
            return value;
        }
        else
            return new Intl.NumberFormat(schema.locale, schema.format).format(value);
    }

    //sorting the json object
    this.sortByKey = function (prop, asc, data) {
        return data.sort(function (a, b) {
            if (asc) return (a[prop] > b[prop]) ? 1 : ((a[prop] < b[prop]) ? -1 : 0);
            else return (b[prop] > a[prop]) ? 1 : ((b[prop] < a[prop]) ? -1 : 0);
        });
    }

    //setting class based on type
    this.getClass = function (type) {
        var className = '';
        switch (type) {
            case "int":
            case "float":
            case "integer":
            case "decimal":
            case "numeric":
            case "number":
            case "currency":
            case "percent":
                className = 'align-right'
                break;
            case "date":
                className = 'align-center'
                break;
            default:
                className = 'align-left'
                break;
        }
        return className;
    }

    //Function to calculate Date Operations
    this.DateOperationFunction = function (modelRecords, field) {
        var dateOp = field.formula.dateOp;
        var records = modelRecords;
        _.each(records, function (val, key) {
            //managing date values getting invalid while doing dateoperations using moment
            var firstDate = moment(val[dateOp.dateFields[0]], field.format.format).format(field.format.format) != "Invalid date" ? moment(val[dateOp.dateFields[0]], field.format.format).format(field.format.format) : moment(val[dateOp.dateFields[0]], "YYYY-MM-DDTHH:mm:ss").format(field.format.format);
            var secondDate = moment(val[dateOp.dateFields[1]], field.format.format).format(field.format.format) != "Invalid date" ? moment(val[dateOp.dateFields[1]], field.format.format).format(field.format.format) : moment(val[dateOp.dateFields[1]], "YYYY-MM-DDTHH:mm:ss").format(field.format.format);
            switch (dateOp.operation) {
                case "DATEDIFF":
                    modelRecords[key][field.id] = moment(firstDate, field.format.format).diff(moment(secondDate, field.format.format), dateOp.key);
                    break;
                case "DATE360":
                    modelRecords[key][field.id] = _appFun.Days360(moment(secondDate, field.format.format), moment(firstDate, field.format.format), dateOp.key);
                    break;
                case "DATEADD":
                    firstDate = moment(val[dateOp.dateFields[0]]).format(field.format.format) != "Invalid date" ? moment(val[dateOp.dateFields[0]]) : moment(moment(val[dateOp.dateFields[0]], field.format.format).format("YYYY-MM-DDTHH:mm:ss"));
                    var operand = dateOp.val ? dateOp.val : val[dateOp.dateFields[1]];
                    modelRecords[key][field.id] = firstDate.add(operand, dateOp.key).format(field.formula.format.format);
                    break;
                case "DATESUB":
                    firstDate = moment(val[dateOp.dateFields[0]]).format(field.format.format) != "Invalid date" ? moment(val[dateOp.dateFields[0]]) : moment(moment(val[dateOp.dateFields[0]], field.format.format).format("YYYY-MM-DDTHH:mm:ss"));
                    var operand = dateOp.val ? dateOp.val : val[dateOp.dateFields[1]];
                    modelRecords[key][field.id] = firstDate.subtract(dateOp.val, dateOp.key).format(field.formula.format.format);
                    break;
                default: console.log("invalid expression");
                    break;
            }

        });
        return modelRecords;
    }

    this.getAlaSQL = function (modelFields, modelRecords) {
        var self = this;
        var nestedSchema = _.where(modelFields, { nested: true });
        _.each(modelRecords, function (val, i) {
            _.each(nestedSchema, function (nested, x) {
                if (nested["id"].indexOf('EP.') == -1) {
                    var splitedValue0 = nested["id"].split('.')[0];
                    var splitedValue1 = nested["id"].split('.')[1];
                    _.each(val[splitedValue0], function (dynmc, dynx) {
                        val[nested["id"]] = dynmc[splitedValue1];
                    });
                }
            });

            _.each(val['EP'], function (value, idx) {
                _.each(value, function (data, dx) {
                    val['EP.' + dx] = data;
                    _.each(value['FA'], function (FA, j) {
                        _.each(FA, function (faData, dy) {
                            if (dy == "calculatedFundBalance_" + modelRecords[0]._catalogId)
                                val['EP.FA.' + dy + '.fundBalanace'] = faData["fundBalanace"];
                            else if (dy == "calculatedAvailableBalance_" + modelRecords[0]._catalogId)
                                val['EP.FA.' + dy + '.availableBalance'] = faData["availableBalance"];
                            else if (dy == "calculatedCommitment_" + modelRecords[0]._catalogId)
                                val['EP.FA.' + dy + '.commitment'] = faData["commitment"];
                            else if (dy == "calculatedGrantAmount_" + modelRecords[0]._catalogId)
                                val['EP.FA.' + dy + '.grantAmount'] = faData["grantAmount"];
                            else if (dy == "calculatedTransferIn_" + modelRecords[0]._catalogId)
                                val['EP.FA.' + dy + '.transferIn'] = faData["transferIn"];
                            else if (dy == "calculatedDisbursement_" + modelRecords[0]._catalogId)
                                val['EP.FA.' + dy + '.disbursement'] = faData["disbursement"];
                            else
                                val['EP.FA.' + dy] = faData;
                        });
                    });
                });
            });
        });

        var sql = 'SELECT ';
        //Date operations
        _.each(modelFields, function (val, i) {
            if (val.formula) {
                if (val.formula.computedDateFlag == true) {
                    //Condition for Computed Date Fields
                    _.each(val.formula.computedDateFields, function (value, key) {
                        modelRecords = _appFun.DateOperationFunction(modelRecords, value);
                    });
                    if ($.inArray($.trim(val.formula.dateOp.operation), ["DATEDIFF", "DATE360", "DATEADD", "DATESUB"]) != -1) {
                        sql += '[' + val.id + "],";
                        modelRecords = _appFun.DateOperationFunction(modelRecords, val);        //For nested Dateoperations in computed datefields
                    }
                    else {
                        sql += '(' + val.formula.text + ') AS [' + val.id + "],";
                    }
                }
                else if (val.formula.format.category == "Date") {                        //Condition for Date Fields
                    sql += '[' + val.id + "],";
                    modelRecords = _appFun.DateOperationFunction(modelRecords, val);
                }
                else
                    sql += '(' + val.formula.text + ') AS [' + val.id + "],";
            }
            else {
                sql += '[' + val.id + '],';
            }
        });
        sql = sql.substring(0, sql.length - 1);
        return alasql(sql + ' FROM ? \ ', [modelRecords]);
    }

    //Function to calculate Days360.
    this.Days360 = function (secondDate, firstDate, method) {
        var date1 = new Date(secondDate);
        var date2 = new Date(firstDate);
        var date1_1 = date1;
        var date2_1 = date2;
        var date1_y = date1.getFullYear();
        var date2_y = date2.getFullYear();
        var datey = 0;
        var date1_m = date1.getMonth();
        var date2_m = date2.getMonth();
        var datem = 0;
        var date1_d = date1.getDate();
        var date2_d = date2.getDate();
        var dated = 0;
        if (method == "EURO") {
            if (date1_d == 31) date1_d = 30;
            if (date2_d == 31) date2_d = 30;
        }
        else {
            if (date1_d == 31) date1_d = 30;
            if (date2_d == 31) {
                if (date1_d < 30) {
                    if (date2_m == 11) {
                        date2_y = date2_y + 1;
                        date2_m = 0;
                        date2_d = 1;
                    } else {
                        date2_m = date2_m + 1;
                        date2_d = 1;
                    }
                } else {
                    date2_d = 30;
                }
            }
        }
        datey = date2_y - date1_y;
        datem = date2_m - date1_m;
        dated = date2_d - date1_d;
        return parseFloat(datey * 360 + datem * 30 + dated);
    }
    //dashboard pivot call
    this._create_PivotExplorer = function (dataset, l_subviewer, misSchema) {
        var self = this;
        var container = l_subviewer;
        var pivot = new recline.View.Pivot({
            model: dataset,
            state: misSchema.views.view.state,
            el: container
        });
        pivot.render(); //dashboard call of pivot
        container.find('.pivotedDiv').height($(container).parents('.content_div').height() - 5);
        var toolbar = false;
        var reduceHight = 0;
        var canMoveFields = false;
        var callLocation = "Dashboard";
        initializePivot(container, pivot, dataset, toolbar, reduceHight, canMoveFields, misSchema.views.view['pivot']['lazyload'], callLocation);
        return pivot;
    }

    //dashboard grid call
    this._create_GridExplorer = function (dataset, l_subviewer, misSchema) {
        var self = this;
        var container = l_subviewer;
        var gridInstance = new recline.View.SlickGrid({
            model: dataset,
            state: misSchema.views.view.grid.state,
            el: container
        });
        gridInstance.visible = true;
        gridInstance.render();
        if (gridInstance.model.queryState.get('groupings').selectedGroups == undefined) {
            gridInstance.grid.resizeCanvas();
            gridInstance.grid.registerPlugin(new TotalsPlugin($.getScrollbarWidth()));
        }
        var unload = container.parent().context;   //container.find('.unloadedDiv').remove();
        if (unload.childNodes[0].className) {
            if (unload.childNodes[0].className.indexOf("unloadedDiv") == 0) {
                unload.childNodes[0].remove();
            }
        }
        return gridInstance;
    }

    //dashboard graph call
    this._create_GraphExplorer = function (dataset, l_subviewer, misSchema, showLegend) {
        var self = this;
        var container = l_subviewer;
        var graph = new recline.View.Graph({
            model: dataset,
            state: $.extend(misSchema.views.view.graph.state, {
                enableLegend: showLegend
            }),
            el: container
        });
        graph.render();
        graph.redraw();
        var unload = container.parent().context; //container.find('.unloadedDiv').remove();
        if (unload.childNodes[0].className) {
            if (unload.childNodes[0].className.indexOf("unloadedDiv") == 0) {
                unload.childNodes[0].remove();
            }
        }
        return graph;
    }

    this._create_ViewExplorer = function (dataset, l_subviewer, misSchema, type) {
        var self = this;
        $('<div class="reclineContainer" />').appendTo(l_subviewer);
        $el = l_subviewer.find('.reclineContainer');
        var reload = false;
        var views = [];
        switch (type) {
            case "grid":
                var grid = {
                    id: 'grid',
                    label: misSchema.views.view.grid.label,
                    view: new recline.View.SlickGrid({
                        model: dataset,
                        state: misSchema.views.view.grid.state
                    })
                };
                views.push(grid);
                break;
            case "graph":
                var graph = {
                    id: 'graph',
                    label: misSchema.views.view.graph.label,
                    view: new recline.View.Graph({
                        model: dataset,
                        state: $.extend(misSchema.views.view.graph.state, {
                            enableLegend: true,
                            showData: true,
                            minLegend: true
                        })
                    })
                };
                views.push(graph);
                break;
            case "pivot":
                var pivot = {
                    id: 'pivot',
                    label: misSchema.views.view.pivot.label,
                    view: new recline.View.Pivot({
                        model: dataset,
                        state: misSchema.views.view.pivot.state
                    })
                };
                views.push(pivot);
                break;
            case "map":
                var map = {
                    id: 'map',
                    label: misSchema.views.view.map.label,
                    view: new recline.View.Map({
                        model: dataset,
                        state: misSchema.views.view.map.state
                    })
                };
                views.push(map);
                break;
            case "timeseries":
                var timeseries = {
                    id: 'timeseries',
                    label: misSchema.views.view.timeseries.label,
                    view: new recline.View.Timeseries({
                        model: dataset,
                        state: $.extend(misSchema.views.view.timeseries.state, {
                            enableLegend: true,
                            minLegend: true
                        })
                    })
                };
                views.push(timeseries);
                break;
        }

        self._reclineView = new recline.View.MultiView({
            title: misSchema.title,
            model: dataset,
            el: $el,
            state: { "currentView": misSchema.views.type },
            views: views,
            buttons: {
                save: false,
                export: true,
                saveAsDashlet: false,
                navigation: false,
                pagination: true,
                search: false,
                gotoAnalytics: false
            },
            dashlet: false,
            export: false
        });

        if (type == "grid" && self._reclineView.model.queryState.get('groupings').selectedGroups == undefined) {
            var gridInstance = (_.findWhere(self._reclineView.pageViews, {
                id: type
            })).view.grid;
            gridInstance.resizeCanvas()
            gridInstance.registerPlugin(new TotalsPlugin($.getScrollbarWidth()));
        }

        if (type == "graph") {
            var graphInstance = (_.findWhere(self._reclineView.pageViews, {
                id: type
            })).view;
            graphInstance.$graph.height($(l_subviewer).height() - 43);
        }

        if (type == "pivot") {
            var pivot = _.findWhere(self._reclineView.pageViews, {
                id: "pivot"
            });
            self._reclineView.$el.parents('.mis-container').find('.pivotedDiv').height($(window).height() - 174);
            var toolbar = true;
            var reduceHight = 25;
            var canMoveFields = true;
            //if lazyload false, the data for the pivot will not taken from the server
            var lazyload = misSchema.views.view['pivot']['lazyload'] || false;
            initializePivot($el, pivot.view, dataset, toolbar, reduceHight, canMoveFields, lazyload);
        }
        if ($("#editor-auto-zoom")) $("#editor-auto-zoom", self.element).trigger("click");
        if ($(".leaflet-control-layers-base input:radio").length > 0) $(".leaflet-control-layers-base input:radio")[0].checked = true;
        $(".menu-right div").removeClass("btn-group");
    }

    this._ajaxcall = function (options) {
        var defaultOptions = {
            url: undefined,
            type: 'GET',
            dataType: 'jsonp',
            data: undefined,
            async: true,
            success: undefined,
            error: function (p_request, p_status, p_error) {
                if (window.console && window.console.log) console.log((p_error.message ? p_error.message : p_error));
            }
        };
        var ajaxOptions = $.extend(true, {}, defaultOptions, options);
        $.ajax(ajaxOptions);
    }

    this._jsonpcall = function (url, type, postData, async, success) {
        $.jsonp({
            url: url,
            callbackParameter: "callback",
            data: postData,
            cache: false,
            success: function (data) {
                if (data && typeof data == "string") data = JSON.parse(data);
                success(data)
            },
            error: function (xOptions, textStatus) {
                if (window.console && window.console.log) console.log(textStatus)
            }
        });
    }
};