
var dataArrChart=JSON.parse("" + drupalSettings.dataArrChart + "");
var types=drupalSettings.types;
var title=drupalSettings.title;

if(types=="pie")
{
	
	dataArrChart=dataArrChart.slice(1);
	var yaxis=dataArrChart[0]["name"];
	dataArrChart=dataArrChart.slice(1);
	for (var i=0; i<dataArrChart.length; i++) 
	{
		dataArrChart[i]["y"]=parseFloat(dataArrChart[i]["y"]);
	}
	console.log(dataArrChart.length);
	Highcharts.chart('containers', {
    chart: {
        plotBackgroundColor: null,
        plotBorderWidth: null,
        plotShadow: false,
        type: types
    },
    title: {
        text: title
    },
    tooltip: {
        pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
    },
    plotOptions: {
        types: {
            allowPointSelect: true,
            cursor: 'pointer',
            dataLabels: {
                enabled: true,
                format: '<b>{point.name}</b>: {point.percentage:.1f} %',
                style: {
                    color: (Highcharts.theme && Highcharts.theme.contrastTextColor) || 'black'
                }
            }
        }
    },
    series: [{
        name: yaxis,
        colorByPoint: true,
        data: dataArrChart
    }]
});
}
else
{
	
	for (var i=0; i<dataArrChart.length; i++) 
	{
		var array = dataArrChart[i]["data"].split(',');
		var finalarray=[];
		if (i!=0)
		{
			for(var j=0;j<array.length; j++)
			{	
				finalarray[j]=parseFloat(array[j]);	
			}
			dataArrChart[i]["data"]=finalarray;
		}
		else
		{
			for(var j=0;j<array.length; j++)
			{	
				finalarray[j]=array[j];	
			}
			dataArrChart[i]["data"]=finalarray;
		}
	
	}
	//dataArrChart.shift();
	var xaxis=dataArrChart[0]["data"];
	
	dataArrChart=dataArrChart.slice(1);
    var yaxis=dataArrChart[0]["name"];
    var yaxismin=parseInt(dataArrChart[0]["data"]);

	dataArrChart=dataArrChart.slice(1);



//[{name: 'Installation',data: [43934, 52503, 57177, 69658, 97031, 119931, 137133, 154175]}, {name: 'Manufacturing',data: [24916, 24064, 29742, 29851, 32490, 30282, 38121, 40434]}, {name: 'Sales & Distribution',data: [null, null, 16005, 19771, 20185, 24377, 32147, 39387]}, {name: 'Project Development',data: [null, null, 7988, 12169, 15112, 22452, 34400, 34227]}, {name: 'Other',data: [12908, 5948, 8105, 11248, 8989, 11816, 18274, 18111]}]
Highcharts.chart('containers', {
    chart: {
        type: types
    },
    title: {
        text: title
    },
    subtitle: {
        text: ''
    },
    xAxis: {
        categories: xaxis,
        crosshair: true
    },
    yAxis: {
        min: yaxismin,
        title: {
            text: yaxis
        }
    },
    tooltip: {
        headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
        pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
            '<td style="padding:0"><b>{point.y:.1f} mm</b></td></tr>',
        footerFormat: '</table>',
        shared: true,
        useHTML: true
    },
    plotOptions: {
        types: {
            pointPadding: 0.2,
            borderWidth: 0
        }

    },
    series: dataArrChart
});
}
